Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.util.location
Class LocatableProperties

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<java.lang.Object,java.lang.Object>
              java.util.Properties
                  com.opensymphony.xwork2.util.location.LocatableProperties

All Implemented Interfaces:
  Locatable, java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Object,java.lang.Object>

    public class LocatableProperties

extends java.util.Properties
implements Locatable

Properties implementation that remembers the location of each property. When loaded, a custom properties file parser is used to remember both the line number and preceeding comments for each property entry.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`LocatableProperties()`
`LocatableProperties(Location loc)`

Method Summary
`Location` | `getLocation()` Get the location of this object
`Location` | `getPropertyLocation(java.lang.String key)`
`void` | `load(java.io.InputStream in)`
`java.lang.Object` | `setProperty(java.lang.String key, java.lang.String value, java.lang.Object locationObj)`

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, loadFromXML, propertyNames, save, setProperty, store, store, storeToXML, storeToXML, stringPropertyNames`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocatableProperties

    public LocatableProperties()

### LocatableProperties

    public LocatableProperties(Location loc)

Method Detail

### load

    public void load(java.io.InputStream in)
              throws java.io.IOException

  Overrides:
    `load` in class `java.util.Properties`
  Throws:
    `java.io.IOException`

### setProperty

    public java.lang.Object setProperty(java.lang.String key,
                                        java.lang.String value,
                                        java.lang.Object locationObj)

### getPropertyLocation

    public Location getPropertyLocation(java.lang.String key)

### getLocation

    public Location getLocation()

  Description copied from interface: `Locatable`
  Get the location of this object

  Specified by:
    `getLocation` in interface `Locatable`
  Returns:
    the location

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.